local SideBarBaseCellComp = require "app/ui/main_city/cell/side_bar_base_cell"
local SideBarIdleCell = class("SideBarIdleCell", SideBarBaseCellComp)

function SideBarIdleCell:getModuleKey()
    return ModuleManager.MODULE_KEY.IDLE_DROP
end

function SideBarIdleCell:getHasPurchase()
    return false
end

function SideBarIdleCell:getIsOpen()
    return DataManager.IdleData:getIsOpen()
end

function SideBarIdleCell:getSpineName()
    return "ui_main_btn_hang"
end

function SideBarIdleCell:onClick()
    ModuleManager.IdleManager:showIdleDropUI()
end

function SideBarIdleCell:getIsShowRedPoint()
    local time = Time:getServerTime() - DataManager.IdleData:getLastDropTime()
    local idleMaxTime = DataManager.IdleData:getIdleMaxTime()
    if time >= idleMaxTime then
        return true
    end
    return DataManager.IdleData:getQuickIdleRemainTimes() > 0
end

return SideBarIdleCell